<template>
  <!-- 修改车序号物资信息 -->
  <div id="contractDetails">
    <page-title>编辑</page-title>
    <div class="main">
      <span class="text">车序号物资信息</span>
      <span class="a"></span>
    </div>
    <div class="contractTitle">
      <div class="form-box">
        <div class="form-one">
          <dil-form :formId="292" v-model="form1"></dil-form>
        </div>
      </div>
    </div>

    <div class="button-box">
      <el-button type="primary" @click="onClickConfirm">确认</el-button>
      <el-button @click="onClickCancel">返回</el-button>
    </div>
  </div>
</template>

<script>
import PageTitle from "@/components/Page/Title";

export default {
  components: { PageTitle },
  data() {
    return {
      form1: {},
    };
  },
  mounted() {
    this.information();
  },
  methods: {
    information() {
      //编辑
      this.axios
        .post(
          "api/v1/ams/getAmsSaleTrucknoMaterial?trucknoMaterialId=" +
            this.$route.params.trucknoMaterialId
        )
        .then((res) => {
            console.log(res.data.data)
          res.data.data.forEach((e) => {
            this.form1 = e;
          });
        });
    },
    // 返回
    onClickCancel() {
      this.$router.go(-1);
    },
    // 确认
    onClickConfirm() {
      let amsSaleTrucknoMaterial = {
        trucknoMaterialId: this.$route.params.trucknoMaterialId,
        materialId: this.form1.materialId,
        saleOrderMaterialNumber: this.form1.saleOrderMaterialNumber,
        materialTheoreticalWeight: this.form1.materialTheoreticalWeight,
      };
      if (
        amsSaleTrucknoMaterial.materialId == null ||
        amsSaleTrucknoMaterial.saleOrderMaterialNumber == null ||
        amsSaleTrucknoMaterial.materialTheoreticalWeight == null
      )
        this.$message.error("必填项存在空值！");
      else
        this.axios
          .post(
            "/api/v1/ams/updateAmsSaleTrucknoMaterial",
            amsSaleTrucknoMaterial
          )
          .then((res) => {
            if (res.data.code == "200") {
              this.$router.go(-1);
            }
          });
    },
  },
};
</script>
<style lang="scss" scoped>

</style>